Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 83617

Summary: Konqueror form submit double warning pop-up
Product: [Retired] Red Hat Linux Reporter: Warren Togami <wtogami>
Component: kdebaseAssignee: Ngo Than <than>
Status: CLOSED RAWHIDE QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-03-09 04:34:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 79579, 100644    

Description Warren Togami 2003-02-06 11:38:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030203

Description of problem:
When submitting forms at some sites like this Bugzilla, Konqueror pops up two
windows that say the following:

Warning - Konqueror
The page you are trying to view is the result of posted form data.  If you
resend the data, any action the form carried out (such as search or online
purchase) will be repeated.

Two buttons: Resend, Cancel

If you click Cancel, the form doesn't submit at all.  If you click Resend it
loads the submitted form page.  If you click Resend and Resend it seems to cause
the form to fail.  Resend and Cancel seems to work.

Earlier Phoebe2 builds of KDE 3.1 would segfault immediately after you click
Resend or Cancel, but latest Rawhide doesn't seem to crash anymore.

With this strange form submission behavior Konqueror is confusing and
questionably usable as a web browser.  I suspect that this double warning pop-up
may be similar in cause to Bug 82543.

Version-Release number of selected component (if applicable):
kdebase-3.1-2
kdelibs-3.1-2

How reproducible:
Always

Steps to Reproduce:
1. Run Konqueror.
2. Go through the "New" bug submission process at http://bugzilla.redhat.com
3. Click the button "Step 6. Additional Information"
    
Actual Results:  
Double warning pop-ups.  (Why does it warn at all?)

Expected Results:  
No warning?

Comment 1 Warren Togami 2003-04-13 10:47:28 UTC
Shrike kdebase-3.1-12 
Still reproducible in the some spot of Red Hat Bugzilla. 

Comment 2 Warren Togami 2004-03-09 04:34:39 UTC
Seems fixed.